SmartWebSecurity CustomPage API, REST: CustomPage.List
Retrieves the list of CustomPage resources in the specified folder.
HTTP request
GET https://smartwebsecurity.api.cloud.yandex.net/smartwebsecurity/v1/customPages
Query parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to list custom pages in. |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. Set to the The maximum string length in characters is 100. |
|
filter |
string A filter expression that filters custom pages listed in the response. The maximum string length in characters is 1000. |
|
orderBy |
string By which column the listing should be ordered and in which direction. The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"customPages": [
{
"id": "string",
"folderId": "string",
"cloudId": "string",
"labels": "object",
"name": "string",
"description": "string",
"createdAt": "string",
"updatedAt": "string",
"content": "string",
"contentType": "string",
"statusCode": "string",
"headers": "object"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
customPages[] |
List of custom page resources. |
|
nextPageToken |
string Token for getting the next page of the list. |
CustomPage
A custom page resource.
|
Field |
Description |
|
id |
string ID of the custom page. |
|
folderId |
string ID of the folder that the custom page belongs to. |
|
cloudId |
string ID of the cloud that the custom page belongs to. |
|
labels |
object (map<string, string>) Resource labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
name |
string Name of the custom page. The string length in characters must be 1-50. Value must match the regular expression |
|
description |
string Description of the custom page. The maximum string length in characters is 512. |
|
createdAt |
string (date-time) Time when the custom page was created. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updatedAt |
string (date-time) Time when the custom page was last updated. String in RFC3339 To work with values in this field, use the APIs described in the |
|
content |
string Content of the custom page. |
|
contentType |
string MIME type of the custom page content. Value must match the regular expression |
|
statusCode |
enum (StatusCode) HTTP status code returned with the custom page.
|
|
headers |
object (map<string, string>) HTTP response headers returned with the custom page. The maximum string length in characters for each value is 256. The string length in characters for each key must be 1-128. Each key must match the regular expression |